org.wildfly.swarm.config.io

## Class BufferPool<T extends BufferPool<T>>

- java.lang.Object
- - org.wildfly.swarm.config.io.BufferPool<T>

-     public class BufferPool<T extends BufferPool<T>>
      extends Object

  Defines buffer pool

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferPool(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `bufferSize()` The size of each buffer slice in bytes, if not set optimal value is calculated based on available RAM resources in your system.
    `T` | `bufferSize(Integer value)` The size of each buffer slice in bytes, if not set optimal value is calculated based on available RAM resources in your system.
    `Integer` | `buffersPerSlice()` How many buffers per slice, if not set optimal value is calculated based on available RAM resources in your system.
    `T` | `buffersPerSlice(Integer value)` How many buffers per slice, if not set optimal value is calculated based on available RAM resources in your system.
    `Boolean` | `directBuffers()` Does the buffer pool use direct buffers, some platforms don't support direct buffers
    `T` | `directBuffers(Boolean value)` Does the buffer pool use direct buffers, some platforms don't support direct buffers
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferPool

          public BufferPool(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### bufferSize

          public Integer bufferSize()

      The size of each buffer slice in bytes, if not set optimal value is calculated based on available RAM resources in your system.

    - #### bufferSize

          public T bufferSize(Integer value)

      The size of each buffer slice in bytes, if not set optimal value is calculated based on available RAM resources in your system.

    - #### buffersPerSlice

          public Integer buffersPerSlice()

      How many buffers per slice, if not set optimal value is calculated based on available RAM resources in your system.

    - #### buffersPerSlice

          public T buffersPerSlice(Integer value)

      How many buffers per slice, if not set optimal value is calculated based on available RAM resources in your system.

    - #### directBuffers

          public Boolean directBuffers()

      Does the buffer pool use direct buffers, some platforms don't support direct buffers

    - #### directBuffers

          public T directBuffers(Boolean value)

      Does the buffer pool use direct buffers, some platforms don't support direct buffers

Copyright © 2017 JBoss by Red Hat. All rights reserved.